Subject: bug#22557: 25.0.90; Saving a buffer under auto-revert turns off file notifications

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Feb 2016 22:32:08 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 07 Feb 2016 20:56:37 +0100
> 
> > It fails for me on w32, I need 2 changed events, not one.  If this is
> > surprising, I can investigate more.
> 
> As said, there are good chances that I'll have access to an MS Windows
> machine next week; I'll run all tests there.
> 
> I have seen with inotify that I'll get a changed and then an
> attribute-changed event; the attribute-changed event is suppressed in
> the test.
> 
> On MS Windows, there are no attribute-changed events IIUC; they are sent
> also as changed events. Therefore, you see two changed events.

Yes, this was also my conclusion.

> This is also the case in other tests, see the comments in
> file-notify-test02-events. I'll try to verify this, and adjust the
> expected events for file-notify-test07-backup on MS Windows.

OK, thanks.  Let me know if you need any help in these matters.